For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
        • Products
        • Product Modifiers
            • GETList Product Modifiers
            • POSTCreate Product Modifier
            • GETGet Product Modifier
            • PUTUpdate Product Modifier
            • DELDelete Product Modifier
              • GETList Product Modifier Values
              • POSTCreate Product Modifier Value
              • GETGet Product Modifier Value
              • PUTUpdate Product Modifier Value
              • DELDelete Product Modifier Value
        • Product Variants
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogProduct ModifiersValues

Update Product Modifier Value

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/products/:product_id/modifiers/:modifier_id/values/:value_id
PUT
/stores/:store_hash/v3/catalog/products/:product_id/modifiers/:modifier_id/values/:value_id
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/modifiers/1/values/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "data": {
3 "adjusters": {
4 "price": {
5 "adjuster": "relative",
6 "adjuster_value": 10
7 },
8 "weight": {},
9 "image_url": "https://cdn8.bigcommerce.com/s-abc123/products/101/images/202/blue_tshirt_1024x1024.jpg?c=2",
10 "purchasing_disabled": {
11 "status": false,
12 "message": ""
13 }
14 },
15 "id": 190,
16 "is_default": false,
17 "label": "Yes",
18 "option_id": 222,
19 "sort_order": 1,
20 "value_data": {}
21 },
22 "meta": {}
23}
Updates a modifier value. **Setting an option value image** `adjusters.image_url` is read-only on this endpoint. To replace the image shown on the storefront for the value, upload a new image via [Create Product Modifier Image](/developer/api-reference/rest/admin/catalog/product-modifiers/images/create-product-modifier-image). The upload binds the image to the value automatically; no follow-up call is needed.
Was this page helpful?
Previous

Get Product Modifier Value

Next

Delete Product Modifier Value

Built with

Updates a modifier value.

Setting an option value image adjusters.image_url is read-only on this endpoint. To replace the image shown on the storefront for the value, upload a new image via Create Product Modifier Image. The upload binds the image to the value automatically; no follow-up call is needed.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idintegerRequired
The ID of the product to which the resource belongs.
modifier_idintegerRequired
The ID of the product modifier.
value_idintegerRequired
The ID of the product modifier value.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

The model for a PUT to update a modifier value on a product.
labelstringRequired

The text display identifying the value on the storefront. Required in a /POST.

sort_orderintegerRequired

The order in which the value will be displayed on the product page. Required in a /POST.

is_defaultbooleanOptional

The flag for preselecting a value as the default on the storefront. This field is not supported for swatch options/modifiers.

value_dataobjectOptional

Extra data describing the value, based on the type of option or modifier with which the value is associated. See Option Values for more details.

adjustersobjectOptional
idintegerOptional

The unique numeric ID of the value; increments sequentially.

Response

dataobject

Product modifier option_value.

metaobject
Response metadata.

Errors

422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.